=== debian/changelog ===
workrave (1.10.10-1) unstable; urgency=medium

  * New upstream release

 -- Francois Marier <francois@debian.org>  Sun, 13 Dec 2015 21:57:09 -0800

workrave (1.10.8-1) unstable; urgency=medium

  * New upstream release
  * Update gnome-shell patch
  * Add build-depend on autoconf-archive

 -- Francois Marier <francois@debian.org>  Wed, 11 Nov 2015 12:07:19 -0800

workrave (1.10.6-4) unstable; urgency=medium

  * Add build conflict on libgstreamer0.10-dev (closes: #785868)
  * Mark applet as compatible with gnome-shell 3.18 (closes: #802510)

 -- Francois Marier <francois@debian.org>  Thu, 22 Oct 2015 07:59:28 -0700

workrave (1.10.6-3) unstable; urgency=medium

  * Force c++11 in debian/rules (closes: #801651)
  * Enable all hardening compilation flags
  * Add support for the mate desktop environment (closes: #801077)
  * Remove legacy menu entry (lintian warning)

 -- Francois Marier <francois@debian.org>  Fri, 16 Oct 2015 09:34:12 -0700
