=== debian/changelog ===
workrave (1.10.16-2ubuntu1) artful; urgency=medium

  * Merge with Debian unstable, remaining change:
    - Revert the libworkrave.so indicator path to non-multiarch location.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 05 Jul 2017 16:42:24 +0300

workrave (1.10.16-2) unstable; urgency=medium

  * Add panel_applet_inprocess.patch from upstream (closes: #866386)
  * Update the gnome-panel module location for gnome-panel 3.22
  * Bump Standards-Version to 4.0.0

 -- Francois Marier <francois@debian.org>  Mon, 03 Jul 2017 21:45:40 -0700

workrave (1.10.16-1ubuntu2) artful; urgency=medium

  * No-change rebuild against libpanel-applet3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 25 Apr 2017 14:49:05 +0300

workrave (1.10.16-1ubuntu1) zesty; urgency=medium

  * Revert the libworkrave.so indicator path to non-multiarch location.
  * Backport upstream changes for compatibility with gnome-panel 3.22.
  * Update the gnome-panel module location for gnome-panel 3.22.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 02 Dec 2016 17:06:25 +0300

workrave (1.10.16-1) unstable; urgency=medium

  * New upstream release
  * Update gnome_322 patch

 -- Francois Marier <francois@debian.org>  Sat, 17 Sep 2016 12:53:16 -0700

workrave (1.10.15-4) unstable; urgency=medium

  * Mark applet as compatible with GNOME 3.21/3.22 (closes: #837214)

 -- Francois Marier <francois@debian.org>  Sun, 11 Sep 2016 18:56:37 -0700

workrave (1.10.15-3) unstable; urgency=medium

  * Fix FTBFS with dpkg-buildpackage -A (closes: #830852)

 -- Francois Marier <francois@debian.org>  Wed, 13 Jul 2016 21:55:51 -0700

workrave (1.10.15-2) unstable; urgency=medium

  * Ship contrib graphing tools in doc/workrave/examples (closes: #825982)

 -- Francois Marier <francois@debian.org>  Sun, 03 Jul 2016 15:09:06 -0700

workrave (1.10.15-1) unstable; urgency=medium

  * New upstream release

 -- Francois Marier <francois@debian.org>  Wed, 11 May 2016 20:42:57 -0700

workrave (1.10.14-1) unstable; urgency=medium

  * New upstream release

 -- Francois Marier <francois@debian.org>  Sat, 07 May 2016 14:55:10 -0700

workrave (1.10.13-1) unstable; urgency=medium

  * New upstream release
    - drop gnome-shell_320.patch (applied upstream)

 -- Francois Marier <francois@debian.org>  Wed, 27 Apr 2016 23:51:43 -0700

workrave (1.10.12-2) unstable; urgency=medium

  * Make applet compatible with gnome-shell 3.20 (closes: #822373)
  * Fix path of libindicators files in workrave.install (closes: #822402)
  * Add missing mate and cinammon files to the package
  * Bump Standards-Version to 3.9.8

 -- Francois Marier <francois@debian.org>  Tue, 26 Apr 2016 12:11:09 -0700

workrave (1.10.12-1) unstable; urgency=medium

  * New upstream release
    - drop gnome-shell-318.patch (applied upstream)
  * Move VCS-* fields to secure URLs
  * Bump Standards-Version to 3.9.7 

 -- Francois Marier <francois@debian.org>  Tue, 29 Mar 2016 20:17:23 -0700
