=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: workrave
 Section: gnome
 Priority: extra
-Maintainer: Francois Marier <francois@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Francois Marier <francois@debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: autoconf-archive,
                autotools-dev,
@@ -34,10 +35,10 @@
                xfce4-panel-dev,
                xmlto
 Build-Conflicts: libgstreamer0.10-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: http://www.workrave.org/
-Vcs-git: git://anonscm.debian.org/collab-maint/workrave.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/workrave.git;a=summary
+Vcs-git: https://anonscm.debian.org/git/collab-maint/workrave.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/workrave.git;a=summary
 
 Package: workrave
 Architecture: any
