=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,16 @@
 		--enable-xfce \
 		--disable-gconf
 
+override_dh_compress:
+	dh_compress --exclude=gnuplot-workrave --exclude=workrave-dump
+
 override_dh_install:
 	dh_install --list-missing
+
+override_dh_installexamples-arch:
+	dh_installexamples
+	chmod +x $(CURDIR)/debian/workrave/usr/share/doc/workrave/examples/gnuplot-workrave
+	chmod +x $(CURDIR)/debian/workrave/usr/share/doc/workrave/examples/workrave-dump
 
 override_dh_auto_test:
