## workrave 1.10.23

=== debian/changelog ===
workrave (1.10.23-5) unstable; urgency=medium

  * Bump Standards-Version up to 4.3.0
  * Bump debhelper compat up to 12
  * Run wrap_and_sort -ast

 -- Francois Marier <francois@debian.org>  Fri, 01 Mar 2019 23:43:21 -0800

workrave (1.10.23-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Use debian/workrave.docs to install NEWS
  * Drop --with autoreconf; it's the default since dh compat 10
  * Switch to dh_missing --fail-missing
  * Drop unused debian/workrave.lintian-overrides
  * Don't build panel applet on s390x
    - The required library is being removed there (#906016)
    - Build-depend on dh-exec and update debian/*.install files
  * Handle Ubuntu's indicator directory install location

 -- Francois Marier <francois@debian.org>  Tue, 16 Oct 2018 18:10:38 -0700

workrave (1.10.23-1) unstable; urgency=medium

  * New upstream version

 -- Francois Marier <francois@debian.org>  Mon, 01 Oct 2018 22:53:00 -0700

workrave (1.10.21-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix AppStream metadata format
  * Fix location of AppStream metadata
  * Lintian override for package naming

  [ Francois Marier ]
  * New upstream version
  * Bump Standards-Version up to 4.2.1

 -- Francois Marier <francois@debian.org>  Sat, 08 Sep 2018 11:16:28 -0700

workrave (1.10.20-1) unstable; urgency=medium

  * New upstream version
    - drop all debian patches (applied upstream)
    - stop installing the renamed README since it's unnecessary
  * Switch VCS to salsa.debian.org
  * Switch to priority: optional in debian/control

  * Bump Standards-Version to 4.1.3
  * Bump debhelper compat to 11 and remove unnecessary build-deps
  * Remove trailing whitespace from debian/changelog (lintian notice)
  * Use https version of copyright format URI (lintian notice)
  * Update copyright years in debian/copyright

 -- Francois Marier <francois@debian.org>  Sun, 11 Feb 2018 17:03:38 -0800
