## workrave 1.10.34

=== debian/changelog ===
workrave (1.10.34-3~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 16 Jan 2020 19:53:46 -0800

workrave (1.10.34-3) unstable; urgency=medium

  * Remove python-cheetah build dependency. (closes: #939480)

 -- Francois Marier <francois@debian.org>  Thu, 12 Sep 2019 09:17:56 -0700

workrave (1.10.34-2) unstable; urgency=medium

  * Add missing build-dep on libboost-dev and python3-jinja2
  * Bump Standards-Version up to 4.4.0

 -- Francois Marier <francois@debian.org>  Sun, 07 Jul 2019 13:36:55 -0700

workrave (1.10.34-1) unstable; urgency=medium

  * New upstream release
  * Fix workrave-dump script (closes: #826021)
  * Add metadata license to debian/copyright
  * Remove patches applied upstream
    - fix_appstream_xml.patch
    - fix_location_of_appdata.patch

 -- Francois Marier <francois@debian.org>  Sat, 06 Jul 2019 13:46:17 -0700
