=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: workrave
 Section: gnome
 Priority: optional
-Maintainer: Francois Marier <francois@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Francois Marier <francois@debian.org>
 Uploaders:
  Jordi Mallach <jordi@debian.org>,
 Build-Depends:
@@ -12,6 +13,7 @@
  gobject-introspection (>= 0.6.7),
  gsettings-desktop-schemas-dev,
  intltool,
+ libboost-dev,
  libdbus-glib-1-dev (>= 0.84),
  libdbusmenu-glib-dev (>= 0.1.1),
  libdbusmenu-gtk3-dev (>= 0.3.95),
@@ -31,12 +33,12 @@
  libxmu-dev,
  libxss-dev,
  libxtst-dev,
- python-cheetah,
+ python3-jinja2,
  xfce4-panel-dev,
  xmlto,
 Build-Conflicts:
  libgstreamer0.10-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://www.workrave.org/
 Vcs-git: https://salsa.debian.org/debian/workrave.git
 Vcs-Browser: https://salsa.debian.org/debian/workrave
